

<?php

	function suffix($filename){
		// ファイル名末尾の拡張子を返す
		$array = explode(".", $filename);
		return (count($array) > 1) ? $array[count($array) - 1] : "";
	}
    
    function dateTimeId(){
        // タイムスタンプを "yyyymmddhhmmss" 形式で返す
        $now = new DateTime();
        return $now->format('YmdHis');
    }

    $patientId = $_POST['patientId'];

    // IMAGE SERVER 独自にイメージファイルを収納する DIRECTORY を指定
    // $dir = "../../NOA_ARCHIVE"; // ### /X/NOA ###
    $dir = "../NOA_ARCHIVE";
    if (! file_exists($dir)) mkdir($dir);
    $dir = "$dir/$patientId";
    if (! file_exists($dir)) mkdir($dir);
    $dir = "$dir/Insurance";
    if (! file_exists($dir)) mkdir($dir);
    
    echo "<HTML lang='ja'>";
    echo "<META http-equiv='Content-Type' content='text/html;charset=UTF-8'>
    ";
    
    $did = dateTimeId();
    $imageId = "$patientId"."_$did";
    
    $files = $_FILES['files']['name'];
    $tmpFiles = $_FILES['files']['tmp_name'];
    
    $count = count($files);
    for ($i=0; $i < $count; $i++){
        $filename = $files[$i];
        $tmp = $tmpFiles[$i];
        if (strlen($filename) > 0){
            if (!is_uploaded_file($tmp)){
                echo "<p>$filename を保存できませんでした</p>";
                break;
            } else {
                $sfx = suffix($filename);
                $path = "$dir/$imageId"."_$i".".$sfx";
                copy($tmp, $path);
                echo "<p>$path を保存しました</p>";
            }
        }
    }

    echo "<a href='javascript:window.history.back()'>元のページへ戻る<a/>";
    echo "</HTML>";
	
?>